Subject: Re: [take19 0/4] kevent: Generic event handling mechanism.

From: Evgeniy Polyakov <[email-masked]>
Date: Sat, 23 Sep 2006 08:23:50 +0400

On Fri, Sep 22, 2006 at 12:22:07PM -0700, Andrew Morton ([email-masked]) wrote:
> On Wed, 20 Sep 2006 13:35:47 +0400
> Evgeniy Polyakov <[email-masked]> wrote:
> 
> > Generic event handling mechanism.
> > 
> > Consider for inclusion.
> 
> Ulrich's objections sounded substantial, and afaik remain largely
> unresolved.   How do we sort this out?

There are no objections, but request for additional interface.

The only two things missed in patchset after his suggestions are
new POSIX-like interface, which I personally consider as very unconvenient,
but in any way it can be implemented as addon, and signal mask change,
but Ulrich have not answered how does it differ from blocking in
userspace and then calling appropriate syscall, I expect the difference
is only in reduced number of syscalls.

-- 
	Evgeniy Polyakov